package com.qmth.sop.business.bean;

import com.qmth.sop.common.enums.FlowMsgTypeEnum;
import com.qmth.sop.common.enums.TFCustomTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 基础流程信息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/6/14
 */
public class BaseFlowData implements Serializable {

    @ApiModelProperty(value = "流程类型")
    TFCustomTypeEnum flowType;

    @ApiModelProperty(value = "消息类型")
    FlowMsgTypeEnum messageType;

    @ApiModelProperty(value = "待办链接")
    String url;

    @ApiModelProperty(value = "移动待办链接")
    String mobileUrl;

    public FlowMsgTypeEnum getMessageType() {
        return messageType;
    }

    public void setMessageType(FlowMsgTypeEnum messageType) {
        this.messageType = messageType;
    }

    public TFCustomTypeEnum getFlowType() {
        return flowType;
    }

    public void setFlowType(TFCustomTypeEnum flowType) {
        this.flowType = flowType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMobileUrl() {
        return mobileUrl;
    }

    public void setMobileUrl(String mobileUrl) {
        this.mobileUrl = mobileUrl;
    }
}
